#### D.4.25.33 binomials2intmat

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  binomials2intmat(ideal I);

Return:
  Returns the intmat whose rows represent the exponents of the (non-zero) elements of I which have to be binomials.
  The length of each row is nvars(basering).

Example:

    LIB "normaliz.lib";
    ring S = 37,(u,v,w,x,y,z),dp;
    ideal I = u2v-xyz, ux2-vyz, uvw-y2z;
    binomials2intmat(I);
    ==> 2,1,0,-1,-1,-1,
    ==> 1,-1,0,2,-1,-1,
    ==> 1,1,1,0,-2,-1

See also: intmat2binomials; intmat2mons; mons2intmat.

User manual for Singular version 4.4.1, 2025, generated by texi2html.